<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Data Kategori Template Baru");
	$nama="";
	
	$idmaster=1;
	$query="SELECT max(id) as id FROM tb_master_template_kategori WHERE id>0";
	$rsmaster=$db->loadAssoc($query);
	if(isset($rsmaster['id'])) $idmaster=$rsmaster['id']+1;
	if($id>0){
		$idkategori=$id;
		$page->setJudul("Edit Data Kategori Template");
		$query="SELECT * FROM tb_master_template_kategori WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
			$idmaster=$rs['id'];
		}
	}
	$hasil=array("id"=>$id);
	$page->addLoad("masterkategoritemplate.edit(".json_encode($hasil,true).")");
	
	?>
	
	<div class="box_main_konten">
		<h3>Detail Jabatan Tim</h3>
		<div class="group_form">
			<title>ID/Kode</title>
			<div class="col10">
				<input id="idmaster" value="<?php echo $idmaster;?>" />
			</div>
		</div>
		<div class="group_form">
			<title>Nama Kategori</title>
			<div class="col10">
				<input id="nama" value="<?php echo $nama;?>" />
			</div>
		</div>
		
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="box_error_simpan" class="error"></div>
		<span class="btmerah btncancel" onclick="masterkategoritemplate.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="masterkategoritemplate.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("masterkategoritemplate.load()");
	$page->setJudul("Master Data Kategori Template");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="masterkategoritemplate.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="masterkategoritemplate.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Kategori" onkeypress="masterkategoritemplate.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="masterkategoritemplate.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="masterkategoritemplate.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_masterkategoritemplate"></div>
	<div class="box_button_bawah">
		<span onclick="masterkategoritemplate.buat(0)" class="bthijau btninput">Input Data Kategori Template Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="masterkategoritemplate.hapus(#{id})"></span>
		<span class="icon_edit" onclick="masterkategoritemplate.buat(#{id})"></span>
	</div>
	<?php
}
?>
